JavaMap::RollingFileAppender(3)

NAME
Log::Log4perl::JavaMap::RollingFileAppender - wraps Log::Dispatch::FileRotate

SYNOPSIS

DESCRIPTION
This maps log4j's RollingFileAppender to Log::Dispatch::FileRotate by Mark Pfeiffer, <markpf@mlp-consulting.com.au>.

Possible config properties for log4j ConsoleAppender are

    File
    Append      "true|false|1|0" default=true
    BufferedIO  "true|false|1|0" default=false (i.e. autoflush is on)
    MaxFileSize default 10_000_000
    MaxBackupIndex default is 1

Possible config properties for Log::Dispatch::FileRotate are

    filename
    mode  "write|append"
    autoflush 0|1
    size
    max

AUTHORS
    Kevin Goess, <cpan@goess.org>
    Mike Schilli, <m@perlmeister.com>

    November, 2002

SEE ALSO
http://jakarta.apache.org/log4j/docs/

Log::Log4perl::Javamap